## python-adjutantclient 1.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=3.0.0 # Apache-2.0
cliff>=2.6.0 # Apache-2.0
iso8601>=0.1.11 # MIT
osc-lib>=1.8.0 # Apache-2.0
PrettyTable>=0.7.1 # BSD
python-openstackclient>=3.11.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
keystoneauth1>=2.20.0 # Apache-2.0
PyYAML>=3.10.0 # MIT
requests>=2.14.2 # Apache-2.0

=== debian/changelog ===
python-adjutantclient (1.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1114828)

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Sep 2025 14:09:29 +0200

=== debian/control ===
Source: python-adjutantclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-cliff,
 python3-coverage,
 python3-ddt,
 python3-fixtures,
 python3-hacking,
 python3-iso8601,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-os-client-config,
 python3-os-testr,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-prettytable,
 python3-requests,
 python3-requests-mock,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 tempest,
 testrepository,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-adjutantclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-adjutantclient.git
Homepage: https://opendev.org/openstack/python-adjutantclient

Package: python3-adjutantclient
Architecture: all
Depends:
 python3-cliff,
 python3-iso8601,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-requests,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-adjutantclient-doc,
Description: OpenStack admin framework API client
 Adjutant is an admin framework to bridge a public cloud business logic (maybe
 an ERP, or your own system) to an OpenStack deployment. Adjutant provides
 (among others) user sign-up, password reset, role management, and more, all of
 this in a self-service way.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/python-adjutantclient
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build .stestr
	rm -f AUTHORS ChangeLog

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-adjutantclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-adjutantclient 1.5.0

=== debian/changelog ===
python-adjutantclient (1.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 19:43:00 +0100
